Index: tmp/org.txm.jodconverter.core/.classpath
===================================================================
--- tmp/org.txm.jodconverter.core/.classpath	(revision 2405)
+++ tmp/org.txm.jodconverter.core/.classpath	(revision 2406)
@@ -1,44 +1,44 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="src" output="target/classes" path="src/main/java">
-		    <attributes>
-			      <attribute name="optional" value="true"/>
-			      <attribute name="maven.pomderived" value="true"/>
-		    </attributes>
-	  </classpathentry>
-	  <classpathentry excluding="**"
-                   kind="src"
-                   output="target/classes"
-                   path="src/main/resources">
-		    <attributes>
-			      <attribute name="maven.pomderived" value="true"/>
-		    </attributes>
-	  </classpathentry>
-	  <classpathentry kind="src" output="target/test-classes" path="src/test/java">
-		    <attributes>
-			      <attribute name="optional" value="true"/>
-			      <attribute name="maven.pomderived" value="true"/>
-			      <attribute name="test" value="true"/>
-		    </attributes>
-	  </classpathentry>
-	  <classpathentry excluding="**"
-                   kind="src"
-                   output="target/test-classes"
-                   path="src/test/resources">
-		    <attributes>
-			      <attribute name="maven.pomderived" value="true"/>
-			      <attribute name="test" value="true"/>
-		    </attributes>
-	  </classpathentry>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER">
-		    <attributes>
-			      <attribute name="maven.pomderived" value="true"/>
-		    </attributes>
-	  </classpathentry>
-	  <classpathentry kind="con" path="org.eclipse.m2e.MAVEN2_CLASSPATH_CONTAINER">
-		    <attributes>
-			      <attribute name="maven.pomderived" value="true"/>
-		    </attributes>
-	  </classpathentry>
-	  <classpathentry kind="output" path="target/classes"/>
+	<classpathentry kind="src" output="target/classes"
+		path="src/main/java">
+		<attributes>
+			<attribute name="optional" value="true" />
+			<attribute name="maven.pomderived" value="true" />
+		</attributes>
+	</classpathentry>
+	<classpathentry excluding="**" kind="src"
+		output="target/classes" path="src/main/resources">
+		<attributes>
+			<attribute name="maven.pomderived" value="true" />
+		</attributes>
+	</classpathentry>
+	<classpathentry kind="src" output="target/test-classes"
+		path="src/test/java">
+		<attributes>
+			<attribute name="optional" value="true" />
+			<attribute name="maven.pomderived" value="true" />
+			<attribute name="test" value="true" />
+		</attributes>
+	</classpathentry>
+	<classpathentry excluding="**" kind="src"
+		output="target/test-classes" path="src/test/resources">
+		<attributes>
+			<attribute name="maven.pomderived" value="true" />
+			<attribute name="test" value="true" />
+		</attributes>
+	</classpathentry>
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER">
+		<attributes>
+			<attribute name="maven.pomderived" value="true" />
+		</attributes>
+	</classpathentry>
+	<classpathentry kind="con"
+		path="org.eclipse.m2e.MAVEN2_CLASSPATH_CONTAINER">
+		<attributes>
+			<attribute name="maven.pomderived" value="true" />
+		</attributes>
+	</classpathentry>
+	<classpathentry kind="output" path="target/classes" />
 </classpath>
\ No newline at end of file
Index: tmp/org.txm.jodconverter.core/src/test/java/org/artofsolving/jodconverter/OfficeDocumentConverterFunctionalTest.java
===================================================================
--- tmp/org.txm.jodconverter.core/src/test/java/org/artofsolving/jodconverter/OfficeDocumentConverterFunctionalTest.java	(revision 2405)
+++ tmp/org.txm.jodconverter.core/src/test/java/org/artofsolving/jodconverter/OfficeDocumentConverterFunctionalTest.java	(revision 2406)
@@ -27,40 +27,42 @@
 import org.artofsolving.jodconverter.office.DefaultOfficeManagerConfiguration;
 import org.testng.annotations.Test;
 
-@Test(groups="functional")
+@Test(groups = "functional")
 public class OfficeDocumentConverterFunctionalTest {
-
-    public void runAllPossibleConversions() throws IOException {
-        OfficeManager officeManager = new DefaultOfficeManagerConfiguration().buildOfficeManager();
-        OfficeDocumentConverter converter = new OfficeDocumentConverter(officeManager);
-        DocumentFormatRegistry formatRegistry = converter.getFormatRegistry();
-        
-        officeManager.start();
-        try {
-            File dir = new File("src/test/resources/documents");
-            File[] files = dir.listFiles(new FilenameFilter() {
-            	public boolean accept(File dir, String name) {
-            		return !name.startsWith(".");
-            	}
-            });
+	
+	public void runAllPossibleConversions() throws IOException {
+		OfficeManager officeManager = new DefaultOfficeManagerConfiguration().buildOfficeManager();
+		OfficeDocumentConverter converter = new OfficeDocumentConverter(officeManager);
+		DocumentFormatRegistry formatRegistry = converter.getFormatRegistry();
+		
+		officeManager.start();
+		try {
+			File dir = new File("src/test/resources/documents");
+			File[] files = dir.listFiles(new FilenameFilter() {
+				
+				public boolean accept(File dir, String name) {
+					return !name.startsWith(".");
+				}
+			});
 			for (File inputFile : files) {
-                String inputExtension = FilenameUtils.getExtension(inputFile.getName());
-                DocumentFormat inputFormat = formatRegistry.getFormatByExtension(inputExtension);
-                assertNotNull(inputFormat, "unknown input format: " + inputExtension);
-                Set<DocumentFormat> outputFormats = formatRegistry.getOutputFormats(inputFormat.getInputFamily());
-                for (DocumentFormat outputFormat : outputFormats) {
-                    File outputFile = File.createTempFile("test", "." + outputFormat.getExtension());
-                    outputFile.deleteOnExit();
-                    System.out.printf("-- converting %s to %s... ", inputFormat.getExtension(), outputFormat.getExtension());
-                    converter.convert(inputFile, outputFile, outputFormat);
-                    System.out.printf("done.\n");
-                    assertTrue(outputFile.isFile() && outputFile.length() > 0);
-                    //TODO use file detection to make sure outputFile is in the expected format
-                }
-            }
-        } finally {
-            officeManager.stop();
-        }
-    }
-
+				String inputExtension = FilenameUtils.getExtension(inputFile.getName());
+				DocumentFormat inputFormat = formatRegistry.getFormatByExtension(inputExtension);
+				assertNotNull(inputFormat, "unknown input format: " + inputExtension);
+				Set<DocumentFormat> outputFormats = formatRegistry.getOutputFormats(inputFormat.getInputFamily());
+				for (DocumentFormat outputFormat : outputFormats) {
+					File outputFile = File.createTempFile("test", "." + outputFormat.getExtension());
+					outputFile.deleteOnExit();
+					System.out.printf("-- converting %s to %s... ", inputFormat.getExtension(), outputFormat.getExtension());
+					converter.convert(inputFile, outputFile, outputFormat);
+					System.out.printf("done.\n");
+					assertTrue(outputFile.isFile() && outputFile.length() > 0);
+					// TODO use file detection to make sure outputFile is in the expected format
+				}
+			}
+		}
+		finally {
+			officeManager.stop();
+		}
+	}
+	
 }
Index: tmp/org.txm.jodconverter.core/src/test/java/org/artofsolving/jodconverter/office/MockOfficeTask.java
===================================================================
--- tmp/org.txm.jodconverter.core/src/test/java/org/artofsolving/jodconverter/office/MockOfficeTask.java	(revision 2405)
+++ tmp/org.txm.jodconverter.core/src/test/java/org/artofsolving/jodconverter/office/MockOfficeTask.java	(revision 2406)
@@ -24,37 +24,38 @@
 import com.sun.star.util.XCloseable;
 
 public class MockOfficeTask implements OfficeTask {
-
-    private long delayTime = 0L;
-
-    private boolean completed = false;
-
-    public MockOfficeTask() {
-        // default
-    }
-
-    public MockOfficeTask(long delayTime) {
-        this.delayTime = delayTime;
-    }
-
-    public void execute(OfficeContext context) throws OfficeException {
-        XComponentLoader loader = cast(XComponentLoader.class, context.getService(SERVICE_DESKTOP));
-        assert loader != null : "desktop object is null";
-        try {
-            PropertyValue[] arguments = new PropertyValue[] { property("Hidden", true) };
-            XComponent document = loader.loadComponentFromURL("private:factory/swriter", "_blank", 0, arguments);
-            if (delayTime > 0) {
-                Thread.sleep(delayTime);
-            }
-            cast(XCloseable.class, document).close(true);
-            completed = true;
-        } catch (Exception exception) {
-            throw new OfficeException("failed to create document", exception);
-        }
-    }
-
-    public boolean isCompleted() {
-        return completed;
-    }
-
+	
+	private long delayTime = 0L;
+	
+	private boolean completed = false;
+	
+	public MockOfficeTask() {
+		// default
+	}
+	
+	public MockOfficeTask(long delayTime) {
+		this.delayTime = delayTime;
+	}
+	
+	public void execute(OfficeContext context) throws OfficeException {
+		XComponentLoader loader = cast(XComponentLoader.class, context.getService(SERVICE_DESKTOP));
+		assert loader != null : "desktop object is null";
+		try {
+			PropertyValue[] arguments = new PropertyValue[] { property("Hidden", true) };
+			XComponent document = loader.loadComponentFromURL("private:factory/swriter", "_blank", 0, arguments);
+			if (delayTime > 0) {
+				Thread.sleep(delayTime);
+			}
+			cast(XCloseable.class, document).close(true);
+			completed = true;
+		}
+		catch (Exception exception) {
+			throw new OfficeException("failed to create document", exception);
+		}
+	}
+	
+	public boolean isCompleted() {
+		return completed;
+	}
+	
 }
Index: tmp/org.txm.jodconverter.core/src/test/java/org/artofsolving/jodconverter/office/PooledOfficeManagerTest.java
===================================================================
--- tmp/org.txm.jodconverter.core/src/test/java/org/artofsolving/jodconverter/office/PooledOfficeManagerTest.java	(revision 2405)
+++ tmp/org.txm.jodconverter.core/src/test/java/org/artofsolving/jodconverter/office/PooledOfficeManagerTest.java	(revision 2406)
@@ -21,7 +21,6 @@
 import java.util.concurrent.CancellationException;
 import java.util.concurrent.TimeoutException;
 
-
 import org.artofsolving.jodconverter.ReflectionUtils;
 import org.artofsolving.jodconverter.office.ManagedOfficeProcess;
 import org.artofsolving.jodconverter.office.PooledOfficeManager;
@@ -32,142 +31,146 @@
 import org.artofsolving.jodconverter.office.OfficeProcess;
 import org.testng.annotations.Test;
 
-@Test(groups="integration")
+@Test(groups = "integration")
 public class PooledOfficeManagerTest {
-
-    private static final UnoUrl CONNECTION_MODE = UnoUrl.socket(2002);
-    private static final long RESTART_WAIT_TIME = 2 * 1000;
-
-    public void executeTask() throws Exception {
-        PooledOfficeManager officeManager = new PooledOfficeManager(CONNECTION_MODE);
-        ManagedOfficeProcess managedOfficeProcess = (ManagedOfficeProcess) ReflectionUtils.getPrivateField(officeManager, "managedOfficeProcess");
-        OfficeProcess process = (OfficeProcess) ReflectionUtils.getPrivateField(managedOfficeProcess, "process");
-        OfficeConnection connection = (OfficeConnection) ReflectionUtils.getPrivateField(managedOfficeProcess, "connection");
-        
-        officeManager.start();
-        assertTrue(process.isRunning());
-        assertTrue(connection.isConnected());
-        
-        MockOfficeTask task = new MockOfficeTask();
-        officeManager.execute(task);
-        assertTrue(task.isCompleted());
-        
-        officeManager.stop();
-        assertFalse(connection.isConnected());
-        assertFalse(process.isRunning());
-        assertEquals(process.getExitCode(0, 0), 0);
-    }
-
-    public void restartAfterCrash() throws Exception {
-        final PooledOfficeManager officeManager = new PooledOfficeManager(CONNECTION_MODE);
-        ManagedOfficeProcess managedOfficeProcess = (ManagedOfficeProcess) ReflectionUtils.getPrivateField(officeManager, "managedOfficeProcess");
-        OfficeProcess process = (OfficeProcess) ReflectionUtils.getPrivateField(managedOfficeProcess, "process");
-        OfficeConnection connection = (OfficeConnection) ReflectionUtils.getPrivateField(managedOfficeProcess, "connection");
-        assertNotNull(connection);
-        
-        officeManager.start();
-        assertTrue(process.isRunning());
-        assertTrue(connection.isConnected());
-        
-        new Thread() {
-            public void run() {
-                MockOfficeTask badTask = new MockOfficeTask(10 * 1000);
-                try {
-                    officeManager.execute(badTask);
-                    fail("task should be cancelled");
-                    //FIXME being in a separate thread the test won't actually fail
-                } catch (OfficeException officeException) {
-                    assertTrue(officeException.getCause() instanceof CancellationException);
-                }
-            }
-        }.start();
-        Thread.sleep(500);
-        Process underlyingProcess = (Process) ReflectionUtils.getPrivateField(process, "process");
-        assertNotNull(underlyingProcess);
-        underlyingProcess.destroy();  // simulate crash
-
-        Thread.sleep(RESTART_WAIT_TIME);
-        assertTrue(process.isRunning());
-        assertTrue(connection.isConnected());
-
-        MockOfficeTask goodTask = new MockOfficeTask();
-        officeManager.execute(goodTask);
-        assertTrue(goodTask.isCompleted());
-
-        officeManager.stop();
-        assertFalse(connection.isConnected());
-        assertFalse(process.isRunning());
-        assertEquals(process.getExitCode(0, 0), 0);
-    }
-
-    public void restartAfterTaskTimeout() throws Exception {
-        PooledOfficeManagerSettings configuration = new PooledOfficeManagerSettings(CONNECTION_MODE);
-        configuration.setTaskExecutionTimeout(1500L);
-        final PooledOfficeManager officeManager = new PooledOfficeManager(configuration);
-        
-        ManagedOfficeProcess managedOfficeProcess = (ManagedOfficeProcess) ReflectionUtils.getPrivateField(officeManager, "managedOfficeProcess");
-        OfficeProcess process = (OfficeProcess) ReflectionUtils.getPrivateField(managedOfficeProcess, "process");
-        OfficeConnection connection = (OfficeConnection) ReflectionUtils.getPrivateField(managedOfficeProcess, "connection");
-        assertNotNull(connection);
-        
-        officeManager.start();
-        assertTrue(process.isRunning());
-        assertTrue(connection.isConnected());
-        
-        MockOfficeTask longTask = new MockOfficeTask(2000);
-        try {
-            officeManager.execute(longTask);
-            fail("task should be timed out");
-        } catch (OfficeException officeException) {
-            assertTrue(officeException.getCause() instanceof TimeoutException);
-        }
-
-        Thread.sleep(RESTART_WAIT_TIME);
-        assertTrue(process.isRunning());
-        assertTrue(connection.isConnected());
-
-        MockOfficeTask goodTask = new MockOfficeTask();
-        officeManager.execute(goodTask);
-        assertTrue(goodTask.isCompleted());
-
-        officeManager.stop();
-        assertFalse(connection.isConnected());
-        assertFalse(process.isRunning());
-        assertEquals(process.getExitCode(0, 0), 0);
-    }
-
-    public void restartWhenMaxTasksPerProcessReached() throws Exception {
-        PooledOfficeManagerSettings configuration = new PooledOfficeManagerSettings(CONNECTION_MODE);
-        configuration.setMaxTasksPerProcess(3);
-        final PooledOfficeManager officeManager = new PooledOfficeManager(configuration);
-        
-        ManagedOfficeProcess managedOfficeProcess = (ManagedOfficeProcess) ReflectionUtils.getPrivateField(officeManager, "managedOfficeProcess");
-        OfficeProcess process = (OfficeProcess) ReflectionUtils.getPrivateField(managedOfficeProcess, "process");
-        OfficeConnection connection = (OfficeConnection) ReflectionUtils.getPrivateField(managedOfficeProcess, "connection");
-        assertNotNull(connection);
-        
-        officeManager.start();
-        assertTrue(process.isRunning());
-        assertTrue(connection.isConnected());
-        
-        for (int i = 0; i < 3; i++) {
-            MockOfficeTask task = new MockOfficeTask();
-            officeManager.execute(task);
-            assertTrue(task.isCompleted());
-            int taskCount = (Integer) ReflectionUtils.getPrivateField(officeManager, "taskCount");
-            assertEquals(taskCount, i + 1);
-        }
-
-        MockOfficeTask task = new MockOfficeTask();
-        officeManager.execute(task);
-        assertTrue(task.isCompleted());
-        int taskCount = (Integer) ReflectionUtils.getPrivateField(officeManager, "taskCount");
-        assertEquals(taskCount, 0);  //FIXME should be 1 to be precise
-
-        officeManager.stop();
-        assertFalse(connection.isConnected());
-        assertFalse(process.isRunning());
-        assertEquals(process.getExitCode(0, 0), 0);
-    }
-
+	
+	private static final UnoUrl CONNECTION_MODE = UnoUrl.socket(2002);
+	
+	private static final long RESTART_WAIT_TIME = 2 * 1000;
+	
+	public void executeTask() throws Exception {
+		PooledOfficeManager officeManager = new PooledOfficeManager(CONNECTION_MODE);
+		ManagedOfficeProcess managedOfficeProcess = (ManagedOfficeProcess) ReflectionUtils.getPrivateField(officeManager, "managedOfficeProcess");
+		OfficeProcess process = (OfficeProcess) ReflectionUtils.getPrivateField(managedOfficeProcess, "process");
+		OfficeConnection connection = (OfficeConnection) ReflectionUtils.getPrivateField(managedOfficeProcess, "connection");
+		
+		officeManager.start();
+		assertTrue(process.isRunning());
+		assertTrue(connection.isConnected());
+		
+		MockOfficeTask task = new MockOfficeTask();
+		officeManager.execute(task);
+		assertTrue(task.isCompleted());
+		
+		officeManager.stop();
+		assertFalse(connection.isConnected());
+		assertFalse(process.isRunning());
+		assertEquals(process.getExitCode(0, 0), 0);
+	}
+	
+	public void restartAfterCrash() throws Exception {
+		final PooledOfficeManager officeManager = new PooledOfficeManager(CONNECTION_MODE);
+		ManagedOfficeProcess managedOfficeProcess = (ManagedOfficeProcess) ReflectionUtils.getPrivateField(officeManager, "managedOfficeProcess");
+		OfficeProcess process = (OfficeProcess) ReflectionUtils.getPrivateField(managedOfficeProcess, "process");
+		OfficeConnection connection = (OfficeConnection) ReflectionUtils.getPrivateField(managedOfficeProcess, "connection");
+		assertNotNull(connection);
+		
+		officeManager.start();
+		assertTrue(process.isRunning());
+		assertTrue(connection.isConnected());
+		
+		new Thread() {
+			
+			public void run() {
+				MockOfficeTask badTask = new MockOfficeTask(10 * 1000);
+				try {
+					officeManager.execute(badTask);
+					fail("task should be cancelled");
+					// FIXME being in a separate thread the test won't actually fail
+				}
+				catch (OfficeException officeException) {
+					assertTrue(officeException.getCause() instanceof CancellationException);
+				}
+			}
+		}.start();
+		Thread.sleep(500);
+		Process underlyingProcess = (Process) ReflectionUtils.getPrivateField(process, "process");
+		assertNotNull(underlyingProcess);
+		underlyingProcess.destroy();  // simulate crash
+		
+		Thread.sleep(RESTART_WAIT_TIME);
+		assertTrue(process.isRunning());
+		assertTrue(connection.isConnected());
+		
+		MockOfficeTask goodTask = new MockOfficeTask();
+		officeManager.execute(goodTask);
+		assertTrue(goodTask.isCompleted());
+		
+		officeManager.stop();
+		assertFalse(connection.isConnected());
+		assertFalse(process.isRunning());
+		assertEquals(process.getExitCode(0, 0), 0);
+	}
+	
+	public void restartAfterTaskTimeout() throws Exception {
+		PooledOfficeManagerSettings configuration = new PooledOfficeManagerSettings(CONNECTION_MODE);
+		configuration.setTaskExecutionTimeout(1500L);
+		final PooledOfficeManager officeManager = new PooledOfficeManager(configuration);
+		
+		ManagedOfficeProcess managedOfficeProcess = (ManagedOfficeProcess) ReflectionUtils.getPrivateField(officeManager, "managedOfficeProcess");
+		OfficeProcess process = (OfficeProcess) ReflectionUtils.getPrivateField(managedOfficeProcess, "process");
+		OfficeConnection connection = (OfficeConnection) ReflectionUtils.getPrivateField(managedOfficeProcess, "connection");
+		assertNotNull(connection);
+		
+		officeManager.start();
+		assertTrue(process.isRunning());
+		assertTrue(connection.isConnected());
+		
+		MockOfficeTask longTask = new MockOfficeTask(2000);
+		try {
+			officeManager.execute(longTask);
+			fail("task should be timed out");
+		}
+		catch (OfficeException officeException) {
+			assertTrue(officeException.getCause() instanceof TimeoutException);
+		}
+		
+		Thread.sleep(RESTART_WAIT_TIME);
+		assertTrue(process.isRunning());
+		assertTrue(connection.isConnected());
+		
+		MockOfficeTask goodTask = new MockOfficeTask();
+		officeManager.execute(goodTask);
+		assertTrue(goodTask.isCompleted());
+		
+		officeManager.stop();
+		assertFalse(connection.isConnected());
+		assertFalse(process.isRunning());
+		assertEquals(process.getExitCode(0, 0), 0);
+	}
+	
+	public void restartWhenMaxTasksPerProcessReached() throws Exception {
+		PooledOfficeManagerSettings configuration = new PooledOfficeManagerSettings(CONNECTION_MODE);
+		configuration.setMaxTasksPerProcess(3);
+		final PooledOfficeManager officeManager = new PooledOfficeManager(configuration);
+		
+		ManagedOfficeProcess managedOfficeProcess = (ManagedOfficeProcess) ReflectionUtils.getPrivateField(officeManager, "managedOfficeProcess");
+		OfficeProcess process = (OfficeProcess) ReflectionUtils.getPrivateField(managedOfficeProcess, "process");
+		OfficeConnection connection = (OfficeConnection) ReflectionUtils.getPrivateField(managedOfficeProcess, "connection");
+		assertNotNull(connection);
+		
+		officeManager.start();
+		assertTrue(process.isRunning());
+		assertTrue(connection.isConnected());
+		
+		for (int i = 0; i < 3; i++) {
+			MockOfficeTask task = new MockOfficeTask();
+			officeManager.execute(task);
+			assertTrue(task.isCompleted());
+			int taskCount = (Integer) ReflectionUtils.getPrivateField(officeManager, "taskCount");
+			assertEquals(taskCount, i + 1);
+		}
+		
+		MockOfficeTask task = new MockOfficeTask();
+		officeManager.execute(task);
+		assertTrue(task.isCompleted());
+		int taskCount = (Integer) ReflectionUtils.getPrivateField(officeManager, "taskCount");
+		assertEquals(taskCount, 0);  // FIXME should be 1 to be precise
+		
+		officeManager.stop();
+		assertFalse(connection.isConnected());
+		assertFalse(process.isRunning());
+		assertEquals(process.getExitCode(0, 0), 0);
+	}
+	
 }
Index: tmp/org.txm.jodconverter.core/src/test/java/org/artofsolving/jodconverter/document/DumpJsonDefaultDocumentFormatRegistry.java
===================================================================
--- tmp/org.txm.jodconverter.core/src/test/java/org/artofsolving/jodconverter/document/DumpJsonDefaultDocumentFormatRegistry.java	(revision 2405)
+++ tmp/org.txm.jodconverter.core/src/test/java/org/artofsolving/jodconverter/document/DumpJsonDefaultDocumentFormatRegistry.java	(revision 2406)
@@ -17,7 +17,6 @@
 import java.util.List;
 import java.util.Map;
 
-
 import org.artofsolving.jodconverter.ReflectionUtils;
 import org.json.JSONArray;
 import org.json.JSONException;
@@ -27,63 +26,66 @@
  * Exectable class that dumps a JSON version of the {@link DefaultDocumentFormatRegistry}
  */
 class DumpJsonDefaultDocumentFormatRegistry {
-
-    private static class SortedJsonObject extends JSONObject {
-         public SortedJsonObject() {
-             try {
-                 Field field = JSONObject.class.getDeclaredField("myHashMap");
-                 field.setAccessible(true);
-                 field.set(this, new LinkedHashMap<String,Object>());
-             } catch (Exception exception) {
-                 // pass; will not be sorted
-             }
-        }
-    }
-
-    private static JSONObject toJson(DocumentFormat format) throws JSONException {
-        JSONObject jsonFormat = new SortedJsonObject();
-        jsonFormat.put("name", format.getName());
-        jsonFormat.put("extension", format.getExtension());
-        jsonFormat.put("mediaType", format.getMediaType());
-        if (format.getInputFamily() != null) {
-            jsonFormat.put("inputFamily", format.getInputFamily().name());
-        }
-        if (format.getLoadProperties() != null) {
-            jsonFormat.put("loadProperties", toJson(format.getLoadProperties()));
-        }
-        if (format.getStorePropertiesByFamily() != null) {
-            JSONObject jsonStorePropertiesByFamily = new SortedJsonObject();
-            for (Map.Entry<DocumentFamily,Map<String,?>> entry : format.getStorePropertiesByFamily().entrySet()) {
-                jsonStorePropertiesByFamily.put(entry.getKey().name(), toJson(entry.getValue()));
-            }
-            jsonFormat.put("storePropertiesByFamily", jsonStorePropertiesByFamily);
-        }
-        return jsonFormat;
-    }
-
-    @SuppressWarnings("unchecked")
-    private static JSONObject toJson(Map<String,?> properties) throws JSONException {
-        JSONObject jsonProperties = new SortedJsonObject();
-        for (Map.Entry<String,?> entry : properties.entrySet()) {
-            if (entry.getValue() instanceof Map) {
-                Map<String,?> jsonValue = (Map<String,?>) entry.getValue();
-                jsonProperties.put(entry.getKey(), toJson(jsonValue));
-            } else {
-                jsonProperties.put(entry.getKey(), entry.getValue());
-            }
-        }
-        return jsonProperties;
-    }
-
-    public static void main(String[] args) throws Exception {
-        DefaultDocumentFormatRegistry registry = new DefaultDocumentFormatRegistry();
-        @SuppressWarnings("unchecked")
-        List<DocumentFormat> formats = (List<DocumentFormat>) ReflectionUtils.getPrivateField(SimpleDocumentFormatRegistry.class, registry, "documentFormats");
-        JSONArray array = new JSONArray();
-        for (DocumentFormat format : formats) {
-            array.put(toJson(format));
-        }
-        System.out.println(array.toString(2));
-    }
-
+	
+	private static class SortedJsonObject extends JSONObject {
+		
+		public SortedJsonObject() {
+			try {
+				Field field = JSONObject.class.getDeclaredField("myHashMap");
+				field.setAccessible(true);
+				field.set(this, new LinkedHashMap<String, Object>());
+			}
+			catch (Exception exception) {
+				// pass; will not be sorted
+			}
+		}
+	}
+	
+	private static JSONObject toJson(DocumentFormat format) throws JSONException {
+		JSONObject jsonFormat = new SortedJsonObject();
+		jsonFormat.put("name", format.getName());
+		jsonFormat.put("extension", format.getExtension());
+		jsonFormat.put("mediaType", format.getMediaType());
+		if (format.getInputFamily() != null) {
+			jsonFormat.put("inputFamily", format.getInputFamily().name());
+		}
+		if (format.getLoadProperties() != null) {
+			jsonFormat.put("loadProperties", toJson(format.getLoadProperties()));
+		}
+		if (format.getStorePropertiesByFamily() != null) {
+			JSONObject jsonStorePropertiesByFamily = new SortedJsonObject();
+			for (Map.Entry<DocumentFamily, Map<String, ?>> entry : format.getStorePropertiesByFamily().entrySet()) {
+				jsonStorePropertiesByFamily.put(entry.getKey().name(), toJson(entry.getValue()));
+			}
+			jsonFormat.put("storePropertiesByFamily", jsonStorePropertiesByFamily);
+		}
+		return jsonFormat;
+	}
+	
+	@SuppressWarnings("unchecked")
+	private static JSONObject toJson(Map<String, ?> properties) throws JSONException {
+		JSONObject jsonProperties = new SortedJsonObject();
+		for (Map.Entry<String, ?> entry : properties.entrySet()) {
+			if (entry.getValue() instanceof Map) {
+				Map<String, ?> jsonValue = (Map<String, ?>) entry.getValue();
+				jsonProperties.put(entry.getKey(), toJson(jsonValue));
+			}
+			else {
+				jsonProperties.put(entry.getKey(), entry.getValue());
+			}
+		}
+		return jsonProperties;
+	}
+	
+	public static void main(String[] args) throws Exception {
+		DefaultDocumentFormatRegistry registry = new DefaultDocumentFormatRegistry();
+		@SuppressWarnings("unchecked")
+		List<DocumentFormat> formats = (List<DocumentFormat>) ReflectionUtils.getPrivateField(SimpleDocumentFormatRegistry.class, registry, "documentFormats");
+		JSONArray array = new JSONArray();
+		for (DocumentFormat format : formats) {
+			array.put(toJson(format));
+		}
+		System.out.println(array.toString(2));
+	}
+	
 }
Index: tmp/org.txm.jodconverter.core/src/test/java/org/artofsolving/jodconverter/document/JsonDocumentFormatRegistryTest.java
===================================================================
--- tmp/org.txm.jodconverter.core/src/test/java/org/artofsolving/jodconverter/document/JsonDocumentFormatRegistryTest.java	(revision 2405)
+++ tmp/org.txm.jodconverter.core/src/test/java/org/artofsolving/jodconverter/document/JsonDocumentFormatRegistryTest.java	(revision 2406)
@@ -28,18 +28,19 @@
 
 @Test
 public class JsonDocumentFormatRegistryTest {
-
-    public void readJsonRegistry() throws JSONException, IOException {
-        InputStream input = getClass().getResourceAsStream("/document-formats.js");
-        DocumentFormatRegistry registry = null;
-        try {
-            registry = new JsonDocumentFormatRegistry(input);
-        } finally {
-            IOUtils.closeQuietly(input);
-        }
-        DocumentFormat odt = registry.getFormatByExtension("odt");
-        assertNotNull(odt);
-        assertNotNull(odt.getStoreProperties(DocumentFamily.TEXT));
-    }
-
+	
+	public void readJsonRegistry() throws JSONException, IOException {
+		InputStream input = getClass().getResourceAsStream("/document-formats.js");
+		DocumentFormatRegistry registry = null;
+		try {
+			registry = new JsonDocumentFormatRegistry(input);
+		}
+		finally {
+			IOUtils.closeQuietly(input);
+		}
+		DocumentFormat odt = registry.getFormatByExtension("odt");
+		assertNotNull(odt);
+		assertNotNull(odt.getStoreProperties(DocumentFamily.TEXT));
+	}
+	
 }
